%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %{unstable}
%define dont_strip 1
%endif

%define svnversion 777798

Name: playground-nepomuk-kde
Summary: KDE 4 Playground Nepomuk Tool
Version: 4.0.1
Release: %mkrel 1
Group: Graphical desktop/KDE
License: LGPL
URL: http://www.kde.org
Source:	%name-%version.%{svnversion}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kde4-macros
BuildRequires: qt4-devel
BuildRequires: kdebase4-workspace
BuildRequires: kdebase4-workspace-devel
Provides: lancelot = %version-%release

%description
KDE 4 Playground Nepomuk Tool.

%files
%defattr(-,root,root)
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*
%{_kde_datadir}/kde4/*

#---------------------------------------------------------------------------------

%define libkinotify %mklibname kinotify 5

%package -n %{libkinotify}
Summary: Inotify KDE 4 helper library
Group: System/Libraries

%description -n %{libkinotify}
Inotify KDE 4 helper library.

%post -n %{libkinotify} -p /sbin/ldconfig
%postun -n %{libkinotify} -p /sbin/ldconfig


%files -n %{libkinotify}
%defattr(-,root,root,-)
%{_kde_libdir}/*.so.*

#---------------------------------------------------------------------------------

%package devel
Summary: Devel headers for nepomuk playground
Group: Development/KDE and Qt
Requires: %{libkinotify}

%description devel
Devel headers for nepomuk playground

%files devel
%defattr(-,root,root,-)
%{_kde_libdir}/*.so
%{_kde_libdir}/*.a
%{_kde_includedir}/*

#---------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4 \
%if %unstable
      -DCMAKE_BUILD_TYPE=debugfull 
%endif

%make


%install
rm -rf %buildroot
cd build && make DESTDIR=%buildroot install

%clean 
rm -rf %buildroot



%changelog
* Thu Feb 21 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-1mdv2008.1
+ Revision: 173696
- import playground-nepomuk-kde


* Thu Feb 21 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-1mdv2008.1
- Backport from Nepomuk playground to KDE 4.0.1
